Attribute VB_Name = "GetProfile"
' Modul         : GetProfile
' System        : VB 6.0 SP6
' Copyright (C) : E+A Forschungsinstitut Elektromaschinen GmbH, CH-4313 Mhlin
'
' Beschreibung  : Auslesen von System und User Daten
'
' Prozeduren    : Function GetProfileData   Daten auslesen
'
'
' nderungen    :
' 25.04.2001/Be : Programmier Beginn
'
Option Explicit

Public Type SystemProfile
  UserDomain    As String
  UserName      As String
  UserProfile   As String
  SystemDrive   As String
  SystemRoot    As String
  ComputerName  As String
  LogonServer   As String
End Type

Public Function GetProfileData() As SystemProfile
  With GetProfileData
    .UserDomain = Environ("UserDomain")
    .UserName = Environ("UserName")
    .UserProfile = Environ("UserProfile")
    .SystemDrive = Environ("SystemDrive")
    .SystemRoot = Environ("SystemRoot")
    .ComputerName = Environ("ComputerName")
    .LogonServer = Environ("LogonServer")
  End With
End Function

